import math, random

n = float(input('Enter a number : '))


print('Rounding off to nearest decimal: ', round(n))
print('Square root : ', math.sqrt(n))
print('Random number between 0 and 1 : ', random.random())
print('Random number between 10 and 500 : ', random.uniform(10, 500))


print('\n---------Math Module Functions---------')

print('Ceil of 5.443 : ', math.ceil(5.443))
print('Copysign (1, -2) : ', math.copysign(1, -2))
print('Absolute value of 5.443 : ', math.fabs(5.443))
print('Factorial of 5 ', math.factorial(5))
print('Floor of 0.996 : ', math.floor(0.996))
print('Fmod of 6 and 5 : ', math.fmod(6, 5))
print('Mantissa and Exponent of 6.55 : ', math.frexp(6.55))
print('Sum of the list [1, 3.55, 8, 0.99] : ', math.fsum([1, 3.55, 8, 0.99]))
print('Is 18.79 finite ? : ', math.isfinite(18.79))
print('Is 18.79 Infinite ? : ', math.isinf(18.79))
print('Is 12.45 NaN ? : ', math.isnan(12.45))
print('Returns : x*2^i where x = 5 and i = 2 : ', math.ldexp(5, 2))
print('Fractional and Integer part of 101.78 : ', math.modf(101.78))
print('Truncated integer value of 8.974 : ', math.trunc(8.975))
print(f'Exponent of {n}: ', math.exp(n))
print('e ** (x - 1) : ', math.expm1(4))
print('Log 5 base 10 : ', math.log(5, 10))
print('Natural Logarithm of 5 : ', math.log1p(5))
print('log 5 base 2 : ', math.log2(5))
print('log 5 base 10 : ', math.log10(5))
print(f'{n} power 4 : ', math.pow(n, 4))
print('Square Root of 15 : ', math.sqrt(15))
print('Arc cosine : ', math.acos(0.5))
print('Arc sine : ', math.asin(0.5))
print('Arc tangent : ', math.atan(0.5))
print('Arc tangent y/x of : ', math.atan2(0.3, 0.2))
print('sin value of 90 : ', math.sin(5))
print('cos value of 90 : ', math.cos(5))
print('tan value of 90 : ', math.tan(5))
print('Euclidean Distance between 5 & 6:', math.hypot(5, 6))
print('Angles from Radians to Degrees : ', math.degrees(0.5))
print('Angles from Degrees to Radians : ', math.radians(30))
print('Inverse Hyperbolic Sine : ', math.asinh(0.5))
print('Inverse Hyperbolic Cosine : ', math.acosh(1))
print('Inverse Hyperbolic Tangent : ', math.atanh(0.5))
print('Hyperbolic Sine : ', math.sinh(5))
print('Hyperbolic Cosine : ', math.cosh(5))
print('Hyperbolic Tangent : ', math.tanh(5))
print('Return Error Function at 5 : ', math.erf(5))
print('Complimentary Error Function at 5 : ', math.erfc(5))
print('Returns the Gamma Function at 10 : ', math.gamma(10))
print('Returns the Natural Logarithm of the Absolute Value of the \
Gamma Function at 10 : ', math.lgamma(10))
print('Pi Value : ', math.pi)
print('Exp Value : ', math.e)



print('\n---------Some Random Module Functions---------')

random.seed(101)
state = random.getstate()
print('State : ', state)
random.setstate(state)
print('Integer with K random bits : ', random.getrandbits(10))
print('Random Integer between the specified sequence : ', random.randrange(1, 10, 2))
print('Random Integer between 1 and 10 : ', random.randint(1, 10))
print('Random elements in [1,2,3,77,88,99] : ', random.choice([1,2,3,77,88,99]))
print('Shuffle the list [1,2,3,77,88,99] : ', random.shuffle([1,2,3,77,88,99]))
print('Return list from the population : ', random.sample([1,2,3,77,88,99], 3))
print('Random FLoating point number between 0 and 1 : ', random.random())
print('Random Floating point number between 5 and 10 : ', random.uniform(5, 10))
print('Random Floating point number between 1 and 10 and mode of 7 : ', random.triangular(low=1, high=10, mode = 7))
print('Random Number from Beta Distribution : ', random.betavariate(0.5, 0.9))
print('Random Number from Exponential Distribution : ', random.expovariate(0.9))
print('Random Number from Gamma Distribution : ', random.gammavariate(0.5, 0.9))
print('Random Number from Gauss Distribution : ', random.gauss(0.5, 0.9))
print('Random Number from Lognormal Distribution : ', random.lognormvariate(0.5, 0.9))
print('Random Number from Normal Distribution : ', random.normalvariate(0.5, 0.9))
print('Random Number from Vonmises Distribution : ', random.vonmisesvariate(0.5, 0.9))
print('Random Number from Pareto Distribution : ', random.paretovariate(0.9))
print('Random Number from Weibull Distribution : ', random.weibullvariate(0.5, 0.9))

